Bug 127567 - panic with xfs + dm_crypt
panic with xfs + dm_crypt
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-09 16:14 EDT by Chuck Berg
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:09:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
panic 1 (6.15 KB, text/plain)
2004-07-09 16:15 EDT, Chuck Berg
no flags Details
panic 2 (10.22 KB, text/plain)
2004-07-09 16:15 EDT, Chuck Berg
no flags Details
panic 3 (7.62 KB, text/plain)
2004-07-09 16:15 EDT, Chuck Berg
no flags Details

  None (edit)
Description Chuck Berg 2004-07-09 16:14:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.6)
Gecko/20040116

Description of problem:
Writing to an XFS filesystem on a dm_crypt volume crashes the system
every time.

It does not happen when I try ext2fs or reiserfs. I do not have
trouble with xfs straight on the LVM volume.

I can't get a crash dump because netdump doesn't work. I will open a
separate case about this.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.478smp

How reproducible:
Always

Steps to Reproduce:
/usr/bin/cryptsetup create crypt1 /dev/vg1/crypt1
mkfs.xfs /dev/mapper/crypt1
mount /dev/mapper/crypt1 /mnt
cd /mnt
while :; do dd if=/dev/zero of=x bs=1024k count=500; done


Actual Results:  panic! see attachments.

Expected Results:  no panic

Additional info:
Comment 1 Chuck Berg 2004-07-09 16:15:23 EDT
Created attachment 101768 [details]
panic 1
Comment 2 Chuck Berg 2004-07-09 16:15:37 EDT
Created attachment 101769 [details]
panic 2
Comment 3 Chuck Berg 2004-07-09 16:15:49 EDT
Created attachment 101770 [details]
panic 3
Comment 4 Dave Jones 2005-04-16 01:09:28 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.